SDL_HINT_GDK_TEXTINPUT_MAX_LENGTH(3)

NAME
SDL_HINT_GDK_TEXTINPUT_MAX_LENGTH - This variable sets the maximum input length of the TextInput window on GDK platforms.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_GDK_TEXTINPUT_MAX_LENGTH SDL_GDK_TEXTINPUT_MAX_LENGTH"

DESCRIPTION
The value must be a stringified integer, for example "10" to allow for up to 10 characters of text input. This hint is available only if SDL_GDK_TEXTINPUT defined. This hint should be set before calling SDL_StartTextInput ()

AVAILABILITY
This hint is available since SDL 3.0.0.